Read about our upcoming Code of Conduct on this issue

Commit f4150b64 authored by Matt Davis's avatar Matt Davis
Browse files

Bump version to 1.15.0rc2

--HG--
branch : release-1.15
parent 529168b13242
...@@ -8,7 +8,7 @@ in the doc/ subdirectory. ...@@ -8,7 +8,7 @@ in the doc/ subdirectory.
Download Download
-------- --------
[Download page](https://bitbucket.org/cffi/cffi/downloads) [Download page](https://foss.heptapod.net/pypy/cffi/-/tags)
Contact Contact
------- -------
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
#include <Python.h> #include <Python.h>
#include "structmember.h" #include "structmember.h"
#define CFFI_VERSION "1.15.0rc1" #define CFFI_VERSION "1.15.0rc2"
#ifdef MS_WIN32 #ifdef MS_WIN32
#include <windows.h> #include <windows.h>
......
...@@ -17,7 +17,7 @@ from _cffi_backend import __version__ ...@@ -17,7 +17,7 @@ from _cffi_backend import __version__
# ____________________________________________________________ # ____________________________________________________________
import sys import sys
assert __version__ == "1.15.0rc1", ("This test_c.py file is for testing a version" assert __version__ == "1.15.0rc2", ("This test_c.py file is for testing a version"
" of cffi that differs from the one that we" " of cffi that differs from the one that we"
" get from 'import _cffi_backend'") " get from 'import _cffi_backend'")
if sys.version_info < (3,): if sys.version_info < (3,):
......
...@@ -5,8 +5,8 @@ from .api import FFI ...@@ -5,8 +5,8 @@ from .api import FFI
from .error import CDefError, FFIError, VerificationError, VerificationMissing from .error import CDefError, FFIError, VerificationError, VerificationMissing
from .error import PkgConfigError from .error import PkgConfigError
__version__ = "1.15.0rc1" __version__ = "1.15.0rc2"
__version_info__ = (1, 15, 0, 'rc1') __version_info__ = (1, 15, 0, 'rc2')
# The verifier module file names are based on the CRC32 of a string that # The verifier module file names are based on the CRC32 of a string that
# contains the following version number. It may be older than __version__ # contains the following version number. It may be older than __version__
......
...@@ -224,7 +224,7 @@ static int _cffi_initialize_python(void) ...@@ -224,7 +224,7 @@ static int _cffi_initialize_python(void)
if (f != NULL && f != Py_None) { if (f != NULL && f != Py_None) {
PyFile_WriteString("\nFrom: " _CFFI_MODULE_NAME PyFile_WriteString("\nFrom: " _CFFI_MODULE_NAME
"\ncompiled with cffi version: 1.15.0rc1" "\ncompiled with cffi version: 1.15.0rc2"
"\n_cffi_backend module: ", f); "\n_cffi_backend module: ", f);
modules = PyImport_GetModuleDict(); modules = PyImport_GetModuleDict();
mod = PyDict_GetItemString(modules, "_cffi_backend"); mod = PyDict_GetItemString(modules, "_cffi_backend");
......
...@@ -47,7 +47,7 @@ copyright = u'2012-2018, Armin Rigo, Maciej Fijalkowski' ...@@ -47,7 +47,7 @@ copyright = u'2012-2018, Armin Rigo, Maciej Fijalkowski'
# The short X.Y version. # The short X.Y version.
version = '1.15' version = '1.15'
# The full version, including alpha/beta/rc tags. # The full version, including alpha/beta/rc tags.
release = '1.15.0rc1' release = '1.15.0rc2'
# The language for content autogenerated by Sphinx. Refer to documentation # The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages. # for a list of supported languages.
......
...@@ -52,13 +52,13 @@ Download and Installation: ...@@ -52,13 +52,13 @@ Download and Installation:
* https://pypi.python.org/pypi/cffi * https://pypi.python.org/pypi/cffi
* Checksums of the "source" package version 1.15.0rc1: * Checksums of the "source" package version 1.15.0rc2:
- MD5: a940f767eaf54dddf174226982ec1a8e - MD5: ...
- SHA1: aee6f9ba045551a1f7b2660930e28fb8a9a8ba4d - SHA1: ...
- SHA256: 8a2b1001ece83aabd818d334659a97cf3c0158501442f20fee7305c8ac3059cb - SHA256: ...
* Or grab the most current version from the `Heptapod page`_: * Or grab the most current version from the `Heptapod page`_:
``hg clone https://foss.heptapod.net/pypy/cffi`` ``hg clone https://foss.heptapod.net/pypy/cffi``
......
...@@ -2,6 +2,15 @@ ...@@ -2,6 +2,15 @@
What's New What's New
====================== ======================
v1.15.0rc2
==========
* Fixed MANIFEST.in to include missing file for Windows arm64 support
* Fixed Linux wheel build to use gcc default ISA for libffi
* Updated setup.py Python trove specifiers to currently-tested Python versions
v1.15.0rc1 v1.15.0rc1
========== ==========
......
...@@ -186,7 +186,7 @@ Contact ...@@ -186,7 +186,7 @@ Contact
`Mailing list <https://groups.google.com/forum/#!forum/python-cffi>`_ `Mailing list <https://groups.google.com/forum/#!forum/python-cffi>`_
""", """,
version='1.15.0rc1', version='1.15.0rc2',
packages=['cffi'] if cpython else [], packages=['cffi'] if cpython else [],
package_data={'cffi': ['_cffi_include.h', 'parse_c_type.h', package_data={'cffi': ['_cffi_include.h', 'parse_c_type.h',
'_embedding.h', '_cffi_errors.h']} '_embedding.h', '_cffi_errors.h']}
...@@ -224,14 +224,13 @@ Contact ...@@ -224,14 +224,13 @@ Contact
classifiers=[ classifiers=[
'Programming Language :: Python', 'Programming Language :: Python',
'Programming Language :: Python :: 2', 'Programming Language :: Python :: 2',
'Programming Language :: Python :: 2.6',
'Programming Language :: Python :: 2.7', 'Programming Language :: Python :: 2.7',
'Programming Language :: Python :: 3', 'Programming Language :: Python :: 3',
'Programming Language :: Python :: 3.2',
'Programming Language :: Python :: 3.3',
'Programming Language :: Python :: 3.4',
'Programming Language :: Python :: 3.5',
'Programming Language :: Python :: 3.6', 'Programming Language :: Python :: 3.6',
'Programming Language :: Python :: 3.7',
'Programming Language :: Python :: 3.8',
'Programming Language :: Python :: 3.9',
'Programming Language :: Python :: 3.10',
'Programming Language :: Python :: Implementation :: CPython', 'Programming Language :: Python :: Implementation :: CPython',
'Programming Language :: Python :: Implementation :: PyPy', 'Programming Language :: Python :: Implementation :: PyPy',
'License :: OSI Approved :: MIT License', 'License :: OSI Approved :: MIT License',
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment